Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jul 2022 10:44:13 -0400

> to do_switch_frame.  In a nutshell, all these additional functions were
> provided to better sort out two underlying behaviors:
>
> (1) The WM tells us that it now will direct input to another frame and
>     Emacs must select that frame in order to stay in synch with the WM.
>
> (2) Emacs wants to change the selected frame and we have to inform the
>     WM about that change so it will direct input to it and call us back
>     via (1) that it now will do so.

And of course we also need (3) Emacs wants to change the selected frame
without touching anything related to focus because it's just a temporary
change to run code in another context.

        Stefan